print("Yo, the output printer is WORKING.")
 
 
--create scene class
scene = Core.class(Sprite)
 
--scene constructor
function scene:init()
    --init some variables
    self.timeLimit = 1000
    self.touchCount = 0
    self.timeStarted = 0
    self.touchStarted = 0
 
    --add events
    self:addEventListener(Event.TOUCHES_BEGIN, self.onTouchBegin, self)
    self:addEventListener(Event.TOUCHES_END, self.onTouchEnd, self)
    self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
end
 
function scene:onTouchBegin(e)
    --if self:hitTestPoint(e.touch.x, e.touch.y) then
        if self.touchStarted == 0 then
            self.touchStarted = os.timer()*1000
        end
        if self.timeStarted == 0 then
            self.timeStarted = os.timer()*1000
        end
        self.touchCount = self.touchCount + 1
        if(self.touchCount >= 2) then
            self:check()
        end
    --end
end
 
function scene:onTouchEnd(e)
    if self.touchStarted then
        self.touchStarted = 0
    end
end
 
function scene:onEnterFrame()
        if self.touchStarted > 0 then
            if os.timer()*1000 - self.touchStarted >= self.timeLimit*2/3 then
                 self.touchCount = 0
                 self:check()
                 self:C()
            end
        end
        if self.timeStarted > 0 then
            if os.timer()*1000 - self.timeStarted >= self.timeLimit then
                  self:check()
            end
       end
end
 
function scene:check()
    if self.touchCount >= 2 then
        --do B
        self:B()
    elseif self.touchCount == 1 then
        self:A()
    end
    self.touchCount = 0
	self.timeStarted = 0
    self.touchStarted = 0
end
 
--thing c
function scene:C()
print("THE USER HELD HIS/HER/ITS FINGER DOWN FOR A WHILE.")
end
 
--thing b
function scene:B()
print("THE USER DID A DOUBLE TAP!")
end
 
--thing a
function scene:A()
print("THAT WAS JUST A SINGLE TAP")
end

local s = scene.new()
stage:addChild(s)